org.apache.struts2.conversion

## Class TypeConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.struts2.StrutsException
        - - org.apache.struts2.conversion.TypeConversionException

- All Implemented Interfaces:
    Locatable, Serializable

      public class TypeConversionException
      extends StrutsException

  TypeConversionException should be thrown by any TypeConverters which fail to convert values
  Author:
    Jason Carreira Created Oct 3, 2003 12:18:33 AM
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeConversionException()` Constructs a `StrutsException` with no detail message.
    `TypeConversionException(String s)` Constructs a `StrutsException` with the specified detail message.
    `TypeConversionException(String s, Throwable cause)` Constructs a `StrutsException` with the specified detail message.
    `TypeConversionException(Throwable cause)` Constructs a `StrutsException` with no detail message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.struts2.StrutsException

      `getLocation, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeConversionException

          public TypeConversionException()

      Constructs a `StrutsException` with no detail message.

    - #### TypeConversionException

          public TypeConversionException(String s)

      Constructs a `StrutsException` with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### TypeConversionException

          public TypeConversionException(Throwable cause)

      Constructs a `StrutsException` with no detail message.
      Parameters:
        `cause` - the cause

    - #### TypeConversionException

          public TypeConversionException(String s,
                                         Throwable cause)

      Constructs a `StrutsException` with the specified detail message.
      Parameters:
        `s` - the detail message.
        `cause` - the cause

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.